# Poco

# class MD4Engine

Library: Foundation
Package: Crypt
Header: Poco/MD4Engine.h

## Description

This class implementes the MD4 message digest algorithm, described in RFC 1320.

## Inheritance

Direct Base Classes: DigestEngine

All Base Classes: DigestEngine

## Member Summary

Member Functions: digest, digestLength, reset, updateImpl

Inherited Functions: digest, digestLength, digestToHex, reset, update, updateImpl

## Enumerations

### Anonymous

BLOCK_SIZE = 64

DIGEST_SIZE = 16

## Constructors

### MD4Engine

MD4Engine();

## Destructor

### ~MD4Engine

~MD4Engine();

## Member Functions

### digest

const DigestEngine::Digest & digest();

### digestLength

unsigned digestLength() const;

See also: Poco::DigestEngine::digestLength()

### reset

void reset();

See also: Poco::DigestEngine::reset()

### updateImpl

void updateImpl(
const void * data,
unsigned length
);

See also: Poco::DigestEngine::updateImpl()